{
  num: -13006,
  accuracy: true,
  basePower: 0,
  category: "Status",
  name: "Homonka",
  pp: 1,
  priority: 0,
  flags: {},
  target: "normal",
  type: "Bug",
  condition: {
    noCopy: true,
    onStart(target, source, sourceEffect) {
      this.effectState.source = source;
      this.add("-start", target, "homonka");
    },
    onRestart(target, source, sourceEffect) {
      this.effectState.source = source;
      this.add("-start", target, "homonka");
    },
    onResidualOrder: 27,
    onResidual(target) {
      const source = this.effectState.source;
      if (!source || source.fainted || source.isActive === false) target.removeVolatile("homonka");
    },
    onEnd(target) {
      this.add("-end", target, "homonka");
    }
  },
  secondary: null,
  shortDesc: "Hidden Hōmonka mark for Soi Fon's Two-Step Death.",
  desc: "Hidden helper for Soi Fon. If Soi Fon strikes this marked target again with Suzumebachi or another contact move, Nigeki Kessatsu triggers."
}
